import express from 'express';
import UserRouter from './routers/user.js';
import GroupRouter from './routers/group.js';
import AbstractProductRouter from './routers/abstractproduct.js';
// import AdminRouter from './routers/admin.js';
import log from './utils/log.js'

import config from '../config.json' with {type: "json"};

const app = express();

app.use(express.urlencoded({extended: true}));
app.use(express.json());
app.use('/api/user/', UserRouter);
app.use('/api/group/', GroupRouter);
app.use('/api/abstractproduct', AbstractProductRouter);
// app.use('/api/admin/', AdminRouter);

app.listen(config.port, () => {
    log.info(`Application has started on port ${config.port}`)
})